Package org.eclipse.cdt.utils.debug.stabs

## Class TypeInformation

- java.lang.Object
- - org.eclipse.cdt.utils.debug.stabs.TypeInformation

    public class TypeInformation
    extends Object

### Constructor Summary

Constructors
`TypeInformation​(Reader reader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `getTypeDescriptor()`
`TypeNumber` `getTypeNumber()`
`boolean` `isTypeDefinition()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeInformation

    public TypeInformation​(Reader reader)

### Method Detail

#### getTypeNumber

    public TypeNumber getTypeNumber()

#### getTypeDescriptor

    public char getTypeDescriptor()

#### isTypeDefinition

    public boolean isTypeDefinition()